Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » New to Eclipse - cannot operate on mac(Version 1.6.0_65of the JVM is not suitable for this product)
New to Eclipse - cannot operate on mac [message #1733377] Fri, 27 May 2016 04:54 Go to next message
Rod Clark is currently offline Rod ClarkFriend
Messages: 1
Registered: May 2016
Junior Member
I am new to Eclipse
I have a Mac pro with the latest OS. I installed Eclipse and keep getting the following message - Version 1.6.0_65of the JVM is not suitable for this product

I have updated my java
I have read the forum but cannot understand how to fix. Please help me.
Thanks
Re: New to Eclipse - cannot operate on mac [message #1733411 is a reply to message #1733377] Fri, 27 May 2016 09:52 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 30679
Registered: July 2009
Senior Member
Rod,

On the Mac the installer uses Eclipse's own native launcher. There is
apparently some issue with how it detects the JVM's you have available.
This bugzilla suggests you need to install a JDK, not just a JRE:

https://bugs.eclipse.org/bugs/show_bug.cgi?id=487355

Apparently installing a JRE doesn't make it the default on the path.

This terminal command is used to find JVMs on the Mac

/usr/libexec/java_home -X

If you enter "java -version" on the terminal, what does it say the
default version for your machine is? This needs to be a 1.7 to run the
installer and there needs to be a 1.8 to run Neon versions of Eclipse.


On 27.05.2016 10:08, Rod Clark wrote:
> I am new to Eclipse
> I have a Mac pro with the latest OS. I installed Eclipse and keep
> getting the following message - Version 1.6.0_65of the JVM is not
> suitable for this product
>
> I have updated my java I have read the forum but cannot understand how
> to fix. Please help me.
> Thanks
Re: New to Eclipse - cannot operate on mac [message #1741227 is a reply to message #1733411] Wed, 24 August 2016 02:20 Go to previous messageGo to next message
Edwing Ariza is currently offline Edwing ArizaFriend
Messages: 1
Registered: August 2016
Junior Member
Hi I am having the same problem and I can't fix it. I was trying to download JDK but I couldn't find it in the Website. Could you please post a link where we can download JDK for Mac.

Thank you!
Re: New to Eclipse - cannot operate on mac [message #1741249 is a reply to message #1741227] Wed, 24 August 2016 07:29 Go to previous message
Tauno Voipio is currently offline Tauno VoipioFriend
Messages: 511
Registered: August 2014
Senior Member
Try this: <http://www.oracle.com/technetwork/java/javase/downloads/jdk8-downloads-2133151.html>.



--

Tauno Voipio
Previous Topic:Eclipse (Neon) Marketplace inaccessible through proxy
Next Topic:Need help
Goto Forum:
  


Current Time: Thu Dec 05 14:22:47 GMT 2019

Powered by FUDForum. Page generated in 0.04824 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top